Bug 1606098 - redis: FTBFS in Fedora rawhide
Summary: redis: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Flavio Percoco
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1551327 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:25 UTC by Mohan Boddu
Modified: 2018-07-24 22:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 22:42:21 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 18:25 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:25 UTC, Mohan Boddu
no flags Details
state.log (615 bytes, text/plain)
2018-07-20 18:25 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:25:35 UTC
redis failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28227866


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix redis at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
redis will be orphaned. Before branching of Fedora 30,
redis will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:25:44 UTC
Created attachment 1467333 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 18:25:48 UTC
Created attachment 1467334 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:25:53 UTC
Created attachment 1467335 [details]
state.log

Comment 4 Igor Raits 2018-07-23 10:48:55 UTC
Matches:
make[3]: gcc: Command not found

Suggested fix:
BuildRequires:  gcc

Comment 5 Igor Raits 2018-07-24 22:42:21 UTC
There has been at least one successfull build after this bug got created.

redis-4.0.10-3.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1123778


Note You need to log in before you can comment on or make changes to this bug.